Bug 442822 - Tutorial Python issues
Tutorial Python issues
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
1.0
All Linux
urgent Severity low
: ---
: ---
Assigned To: Jonathan Robie
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 20:45 EDT by Carl Trieloff
Modified: 2013-08-05 20:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: B4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-17 15:45:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jonathan Robie 2008-05-17 15:44:21 EDT
I have addressed most of these comments through reorganization:

1. Each example starts with a "running the examples" section that tells where to
find the source code for the given example and how to run the example. This is
completed in C++ and Python, and will be done for Java before the next release.

2. In each section, I now describe the functions and the main body separately. I
believe this clarifies what was confusing before about where the code goes.

3. I use functions to avoid repetitive cut-and-paste code in the examples now
(someone else fixed this -- perhaps Rajith? -- before I did).

4. Channels are no longer used in the examples

I did not put the full source code in an appendix, opting instead to say where
the examples are installed. Best, I think, would be to have the full source code
online in a separate location.

Note You need to log in before you can comment on or make changes to this bug.